Ruby2.0でgemを全てアンインストールする

  • 30
    いいね
  • 0
    コメント
この記事は最終更新日から1年以上が経過しています。
gem uninstall -axI `gem list --no-versions`
ERROR:  While executing gem ... (Gem::InstallError)
    gem "test-unit" cannot be uninstalled because it is a default gem

って怒られてできなかったからメモ

gem uninstall -axI `gem list --no-versions | egrep -v 'test-unit|rdoc|bigdecimal|io-console|json|minitest|psych|rake'`

参考

Uninstall all installed (non-default) gems.